package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerFortunePayoutBatch;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclCustomerFortunePayoutBatchMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerFortunePayoutBatch record);

    int insertSelective(AclCustomerFortunePayoutBatch record);

    AclCustomerFortunePayoutBatch selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerFortunePayoutBatch record);

    int updateByPrimaryKey(AclCustomerFortunePayoutBatch record);

    int updateBatch(List<AclCustomerFortunePayoutBatch> list);

    int updateBatchSelective(List<AclCustomerFortunePayoutBatch> list);

    int batchInsert(@Param("list") List<AclCustomerFortunePayoutBatch> list);

    AclCustomerFortunePayoutBatch selectByPayoutYearmonth(String payoutYearmonth);
}